/*

DHTML lemmings(tm)

GNU Copyright (C) 2003 crisp - freesoftware@xs4all.nl

*/

var mimeTypes = new Array();

mimeTypes['midi'] = [
  'application/x-oleobject',
  'video/quicktime',
  'audio/midi',
  'audio/x-midi',
  'application/x-mplayer2'
];
mimeTypes['wav'] = [
  'application/x-oleobject',
  'video/quicktime',
  'audio/wav',
  'audio/x-wav',
  'application/x-mplayer2'
];

var IE_mimetype = 'application/x-oleobject';

function detMime(type) {

  if (typeof window.ActiveXObject != 'undefined' ||
      typeof window.GeckoActiveXObject != 'undefined') {

    return IE_mimetype;

  } else if (typeof navigator.mimeTypes != 'undefined' &&
             navigator.mimeTypes.length > 0) {

    var mime = navigator.mimeTypes;

    for (var i = 0; i < mimeTypes[type].length; i++) {
      if (typeof mime[mimeTypes[type][i]] != 'undefined') {
        return mimeTypes[type][i];
      }
    }

  }

  return '';

}

function writeSound(file, type, id, loop) {

  var mime = detMime(type);

  if (mime == '') return false;

  if (mime == IE_mimetype) {

    document.write('<object id="'+id+'" classid="CLSID:22D6F312-B0F6-11D0-94AB-0080C74C7E95" type="'+IE_mimetype+'" height="0" width="0">');
    document.write('<param name="filename" value="../sound/'+file+'">');
    document.write('<param name="autostart" value="false">');
    document.write('<param name="loop" value="'+loop+'">');
    document.write('</object>');

  } else {

    document.write('<object id="'+id+'" type="'+mime+'" data="../sound/'+file+'" autostart="false" loop="'+loop+'"></object>');

  }

  return true;

}

function playsound(which) {

  try { document.getElementById(which).Play();  } catch(e) { }

}